| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableAlgorithm Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableAlgorithm:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name=Configurable.DefaultName)
def | __deepcopy__ (self, memo)
def | getHandle (self)
def | getGaudiType (self)
def | getJobOptName (self)
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, args, kwargs)
def | __init__ (self, name=DefaultName)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Private Attributes
| _jobOptName

## Static Private Attributes
dictionary | __slots__

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables = {}
dictionary | configurableServices = {}

## Detailed Description

Definition at line 984 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.ConfigurableAlgorithm.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Definition at line 990 of file Configurable.py.

990 def __init__( self, name = Configurable.DefaultName ):
991 super( ConfigurableAlgorithm, self ).__init__( name )
992 name = self.getName()
993 self._jobOptName = name[ name.find('/')+1 : ] # strips class
994
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:691
GaudiKernel.Configurable.ConfigurableAlgorithm._jobOptName
_jobOptName
Definition: Configurable.py:993
GaudiKernel.Configurable.ConfigurableAlgorithm.__init__
def __init__(self, name=Configurable.DefaultName)
Definition: Configurable.py:990

## Member Function Documentation

def GaudiKernel.Configurable.ConfigurableAlgorithm.__and__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 1008 of file Configurable.py.

1008 def __and__(self, rhs):
1009 if rhs is CFTrue:
1010 return self
1011 elif rhs is CFFalse:
1012 return CFFalse
1013 return AndNode(self, rhs)
1014
GaudiKernel.Configurable.ConfigurableAlgorithm.__and__
def __and__(self, rhs)
Definition: Configurable.py:1008

def GaudiKernel.Configurable.ConfigurableAlgorithm.__deepcopy__ | ( |  | self,
|  |  | memo
| ) |  |

Definition at line 995 of file Configurable.py.

995 def __deepcopy__( self, memo ):
996 return self # algorithms are always shared
997
GaudiKernel.Configurable.ConfigurableAlgorithm.__deepcopy__
def __deepcopy__(self, memo)
Definition: Configurable.py:995

def GaudiKernel.Configurable.ConfigurableAlgorithm.__eq__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 1036 of file Configurable.py.

1036 def __eq__(self, other):
1037 return (repr(self) == repr(other))
1038
1039
GaudiKernel.Configurable.ConfigurableAlgorithm.__eq__
def __eq__(self, other)
Definition: Configurable.py:1036

def GaudiKernel.Configurable.ConfigurableAlgorithm.__invert__ | ( |  | self | ) |

Definition at line 1022 of file Configurable.py.

1022 def __invert__(self):
1023 return InvertNode(self)
1024
GaudiKernel.Configurable.ConfigurableAlgorithm.__invert__
def __invert__(self)
Definition: Configurable.py:1022

def GaudiKernel.Configurable.ConfigurableAlgorithm.__or__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 1015 of file Configurable.py.

1015 def __or__(self, rhs):
1016 if rhs is CFFalse:
1017 return self
1018 elif rhs is CFTrue:
1019 return CFTrue
1020 return OrNode(self, rhs)
1021
GaudiKernel.Configurable.ConfigurableAlgorithm.__or__
def __or__(self, rhs)
Definition: Configurable.py:1015

def GaudiKernel.Configurable.ConfigurableAlgorithm.__rshift__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 1025 of file Configurable.py.

1025 def __rshift__(self, rhs):
1026 return OrderedNode(self, rhs)
1027
GaudiKernel.Configurable.ConfigurableAlgorithm.__rshift__
def __rshift__(self, rhs)
Definition: Configurable.py:1025

def GaudiKernel.Configurable.ConfigurableAlgorithm._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 1033 of file Configurable.py.

1033 def _visitSubNodes(self, visitor):
1034 pass
1035
GaudiKernel.Configurable.ConfigurableAlgorithm._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: Configurable.py:1033

def GaudiKernel.Configurable.ConfigurableAlgorithm.getGaudiType | ( |  | self | ) |

Definition at line 1001 of file Configurable.py.

1001 def getGaudiType( self ):
1002 return 'Algorithm'
1003
GaudiKernel.Configurable.ConfigurableAlgorithm.getGaudiType
def getGaudiType(self)
Definition: Configurable.py:1001

def GaudiKernel.Configurable.ConfigurableAlgorithm.getHandle | ( |  | self | ) |

Definition at line 998 of file Configurable.py.

998 def getHandle( self ):
999 return iAlgorithm( self.getJobOptName() )
1000
GaudiKernel.Configurable.Configurable.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:697
GaudiPython.GaudiAlgs.iAlgorithm
iAlgorithm
The basic module.
Definition: GaudiAlgs.py:54
GaudiKernel.Configurable.ConfigurableAlgorithm.getHandle
def getHandle(self)
Definition: Configurable.py:998

def GaudiKernel.Configurable.ConfigurableAlgorithm.getJobOptName | ( |  | self | ) |

Definition at line 1004 of file Configurable.py.

1004 def getJobOptName( self ):
1005 return self._jobOptName
1006
GaudiKernel.Configurable.ConfigurableAlgorithm.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:1004
GaudiKernel.Configurable.ConfigurableAlgorithm._jobOptName
_jobOptName
Definition: Configurable.py:993

def GaudiKernel.Configurable.ConfigurableAlgorithm.visitNode | ( |  | self,
|  |  | visitor
| ) |  |

Definition at line 1028 of file Configurable.py.

1028 def visitNode(self, visitor):
1029 visitor.enter(self)
1030 self._visitSubNodes(visitor)
1031 visitor.leave(self)
1032
GaudiKernel.Configurable.ConfigurableAlgorithm._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: Configurable.py:1033
GaudiKernel.Configurable.ConfigurableAlgorithm.visitNode
def visitNode(self, visitor)
Definition: Configurable.py:1028

## Member Data Documentation

dictionary GaudiKernel.Configurable.ConfigurableAlgorithm.__slots__
| static private

Initial value:
1 = { '_jobOptName' : 0, 'OutputLevel' : 0, \
2 'Enable' : 1, 'ErrorMax' : 1, 'ErrorCount' : 0, 'AuditAlgorithms' : 0, \
3 'AuditInitialize' : 0, 'AuditReinitialize' : 0, 'AuditExecute' : 0, \
4 'AuditFinalize' : 0, 'AuditBeginRun' : 0, 'AuditEndRun' : 0 }

Definition at line 985 of file Configurable.py.

GaudiKernel.Configurable.ConfigurableAlgorithm._jobOptName
| private

Definition at line 993 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py